//
//
// NOT USED - intended to represent server-side availability problems eg. database not responding,
// but perhaps should use EJBException instead (need to consult the J2EE spec for conventions).
//
//
package jumpstart.max.business.commons.exception;

import javax.ejb.ApplicationException;

import jumpstart.max.util.MessageUtil;

// Not used yet, but will represent a system failure eg. database is off.

@ApplicationException(rollback = true)
@SuppressWarnings("serial")
public class AvailabilityException extends ServiceException {
	private String _technicalMessageText;

	public AvailabilityException(String messageId, String technicalMessageText, Exception exception) {
		super("AvailabilityException", exception);
		_technicalMessageText = technicalMessageText;
	}


	@Override
	public String getMessage() {
		String msg = MessageUtil.toText(_messageId, new Object[] { _technicalMessageText });
		return msg;
	}
}
