package jumpstart.max.web.pages.starters;

import jumpstart.max.web.pages.login.LoginPage;

import org.apache.tapestry.annotations.InjectState;
import org.apache.tapestry.html.BasePage;

public abstract class DoItOnceAndRedirectPage2 extends BasePage {
	static public final String PAGE_NAME = "pages/starters/DoItOnceAndRedirectPage2";

	@InjectState("myOrder")
	// myOrder is a session-scoped object - see hivemodule.xml.
	public abstract MyOrder getMyOrder();

	public void activate() {
		getRequestCycle().activate(this);
	}

	public void doReturn() {
		DoItOnceAndRedirectPage nextPage = (DoItOnceAndRedirectPage) getRequestCycle().getPage(
				DoItOnceAndRedirectPage.PAGE_NAME);
		nextPage.activate();
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}
}