package jumpstart.max.web.pages.starters;

import jumpstart.max.web.pages.login.LoginPage;

import org.apache.tapestry.html.BasePage;

public abstract class TableComponentWithLinksPage2 extends BasePage {
	static public final String PAGE_NAME = "pages/starters/TableComponentWithLinksPage2";

	public abstract void setLoginId(String value);

	public void activate(String loginId) {
		setLoginId(loginId);
		getRequestCycle().activate(this);
	}

	public void doReturn() {
		TableComponentWithLinksPage nextPage = (TableComponentWithLinksPage) getRequestCycle().getPage(
				TableComponentWithLinksPage.PAGE_NAME);
		nextPage.activate();
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}
}