package jumpstart.max.web.pages.starters;

import jumpstart.max.web.pages.login.LoginPage;

import org.apache.tapestry.html.BasePage;

public abstract class TableWithLinksPage2 extends BasePage {
	static public final String PAGE_NAME = "pages/starters/TableWithLinksPage2";

	public abstract void setLoginId(String value);

	public void activate(String loginId) {
		setLoginId(loginId);
		getRequestCycle().activate(this);
	}

	public void doReturn() {
		TableWithLinksPage nextPage = (TableWithLinksPage) getRequestCycle().getPage(TableWithLinksPage.PAGE_NAME);
		nextPage.activate();
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}
}