package jumpstart.max.web.pages.starters;

import jumpstart.max.web.pages.login.LoginPage;

import org.apache.tapestry.html.BasePage;

public abstract class ValidatorsWithFieldLabelsPage2 extends BasePage {
	static public final String PAGE_NAME = "pages/starters/ValidatorsWithFieldLabelsPage2";

	public abstract void setName(String value);

	public void activate(String firstName, String lastName) {
		setName(firstName + " " + lastName);
		getRequestCycle().activate(this);
	}

	public void doReturn() {
		ValidatorsWithFieldLabelsPage nextPage = (ValidatorsWithFieldLabelsPage) getRequestCycle().getPage(
				ValidatorsWithFieldLabelsPage.PAGE_NAME);
		nextPage.activate();
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}
}