package jumpstart.max.web.pages.starters;

import jumpstart.max.web.pages.login.LoginPage;

import org.apache.tapestry.html.BasePage;

public abstract class ClientValidatorsPage extends BasePage {
	static public final String PAGE_NAME = "pages/starters/ClientValidatorsPage";

	public abstract String getFirstName();
	public abstract String getLastName();

	public void activate() {
		// No preparation required before activation.
		getRequestCycle().activate(this);
	}

	public void doDisplay() {
		ClientValidatorsPage2 nextPage = (ClientValidatorsPage2) getRequestCycle().getPage(
				ClientValidatorsPage2.PAGE_NAME);
		nextPage.activate(getFirstName(), getLastName());
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}
}
