package jumpstart.max.web.pages.starters;

import jumpstart.max.web.pages.login.LoginPage;

import org.apache.tapestry.html.BasePage;

public abstract class MixedValidationWithFieldLabelsPage2 extends BasePage {
	static public final String PAGE_NAME = "pages/starters/MixedValidationWithFieldLabelsPage2";

	public abstract void setName(String value);

	public void activate(String firstName, String lastName) {
		setName(firstName + " " + lastName);
		getRequestCycle().activate(this);
	}

	public void doReturn() {
		MixedValidationWithFieldLabelsPage nextPage = (MixedValidationWithFieldLabelsPage) getRequestCycle().getPage(
				MixedValidationWithFieldLabelsPage.PAGE_NAME);
		nextPage.activate();
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}
}
